Page MenuHomePhabricator

[ASTMatchers] Existing matcher hasAnyArgument fixed
ClosedPublic

Authored by baloghadamsoftware on Mar 17 2016, 7:44 AM.

Details

Summary

A checker (will be uploaded after this patch) needs to check implicit casts. The checker needs matcher hasAnyArgument but it ignores implicit casts and parenthesized expressions which disables checking of implicit casts for arguments in the checker. However the documentation of the matcher contains a FIXME that this should be removed once separate matchers for ignoring implicit casts and parenthesized expressions are ready. Since these matchers were already there the fix could be executed. Only one Clang checker was affected which was also fixed (ignoreParenImpCasts added) and is separately uploaded. Third party checkers (not in the Clang repository) may be affected by this fix so the fix must be emphasized in the release notes.

Diff Detail

Event Timeline

baloghadamsoftware retitled this revision from to [ASTMatchers] Existing matcher hasAnyArgument fixed.
baloghadamsoftware updated this object.
baloghadamsoftware added reviewers: klimek, sbenza.
sbenza edited edge metadata.Mar 18 2016, 12:33 PM

Please add a test for this.

baloghadamsoftware edited edge metadata.
sbenza accepted this revision.Mar 21 2016, 12:04 PM
sbenza edited edge metadata.
This revision is now accepted and ready to land.Mar 21 2016, 12:04 PM
baloghadamsoftware edited edge metadata.

LibASTMatchersReference.html updated

alexfh added a subscriber: alexfh.Mar 22 2016, 4:13 AM
the fix must be emphasized in the release notes

It seems like the best time to update the release notes is now, in this patch ;)

Release notes updated.

alexfh added inline comments.Mar 23 2016, 9:39 AM
docs/ReleaseNotes.rst
123

nit: The sentence doesn't parse. Did you mean "The fix allows" or "The fix was done to allow"?

125

nit: Please enclose inline code snippets in double backquotes.

Release notes fixed.

Are there any other comments please?

alexfh accepted this revision.Mar 30 2016, 3:38 AM
alexfh added a reviewer: alexfh.

No, thank you for the fix!

LG

xazax.hun closed this revision.Mar 30 2016, 4:27 AM